package com.alibaba.fastjson.parser.deserializer;

import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.parser.DefaultJSONParser;
import com.alibaba.fastjson.serializer.JSONSerializer;
import com.alibaba.fastjson.serializer.ObjectSerializer;
import com.alibaba.fastjson.util.TypeUtils;
import dc.squareup.okio.Okio$$ExternalSyntheticApiModelOutline0;
import java.io.IOException;
import java.lang.reflect.Type;
import java.util.Optional;
import java.util.OptionalDouble;
import java.util.OptionalInt;
import java.util.OptionalLong;
/* loaded from: classes.dex */
public class OptionalCodec implements ObjectSerializer, ObjectDeserializer {
    public static OptionalCodec instance = new OptionalCodec();

    @Override // com.alibaba.fastjson.parser.deserializer.ObjectDeserializer
    public int getFastMatchToken() {
        return 12;
    }

    @Override // com.alibaba.fastjson.parser.deserializer.ObjectDeserializer
    public <T> T deserialze(DefaultJSONParser defaultJSONParser, Type type, Object obj) {
        Optional of;
        Optional empty;
        OptionalDouble of2;
        OptionalDouble empty2;
        OptionalLong of3;
        OptionalLong empty3;
        OptionalInt of4;
        OptionalInt empty4;
        if (type == Okio$$ExternalSyntheticApiModelOutline0.m243m()) {
            Integer castToInt = TypeUtils.castToInt(defaultJSONParser.parseObject((Class<Object>) Integer.class));
            if (castToInt == null) {
                empty4 = OptionalInt.empty();
                return (T) empty4;
            }
            of4 = OptionalInt.of(castToInt.intValue());
            return (T) of4;
        } else if (type == Okio$$ExternalSyntheticApiModelOutline0.m269m$1()) {
            Long castToLong = TypeUtils.castToLong(defaultJSONParser.parseObject((Class<Object>) Long.class));
            if (castToLong == null) {
                empty3 = OptionalLong.empty();
                return (T) empty3;
            }
            of3 = OptionalLong.of(castToLong.longValue());
            return (T) of3;
        } else if (type == Okio$$ExternalSyntheticApiModelOutline0.m$2()) {
            Double castToDouble = TypeUtils.castToDouble(defaultJSONParser.parseObject((Class<Object>) Double.class));
            if (castToDouble == null) {
                empty2 = OptionalDouble.empty();
                return (T) empty2;
            }
            of2 = OptionalDouble.of(castToDouble.doubleValue());
            return (T) of2;
        } else {
            Object parseObject = defaultJSONParser.parseObject(TypeUtils.unwrapOptional(type));
            if (parseObject == null) {
                empty = Optional.empty();
                return (T) empty;
            }
            of = Optional.of(parseObject);
            return (T) of;
        }
    }

    @Override // com.alibaba.fastjson.serializer.ObjectSerializer
    public void write(JSONSerializer jSONSerializer, Object obj, Object obj2, Type type, int i) throws IOException {
        boolean isPresent;
        long asLong;
        boolean isPresent2;
        int asInt;
        boolean isPresent3;
        double asDouble;
        boolean isPresent4;
        if (obj == null) {
            jSONSerializer.writeNull();
        } else if (Okio$$ExternalSyntheticApiModelOutline0.m$2(obj)) {
            Optional m$1 = Okio$$ExternalSyntheticApiModelOutline0.m$1(obj);
            isPresent4 = m$1.isPresent();
            jSONSerializer.write(isPresent4 ? m$1.get() : null);
        } else if (Okio$$ExternalSyntheticApiModelOutline0.m263m(obj)) {
            OptionalDouble m251m = Okio$$ExternalSyntheticApiModelOutline0.m251m(obj);
            isPresent3 = m251m.isPresent();
            if (isPresent3) {
                asDouble = m251m.getAsDouble();
                jSONSerializer.write(Double.valueOf(asDouble));
                return;
            }
            jSONSerializer.writeNull();
        } else if (Okio$$ExternalSyntheticApiModelOutline0.m271m$1(obj)) {
            OptionalInt m253m = Okio$$ExternalSyntheticApiModelOutline0.m253m(obj);
            isPresent2 = m253m.isPresent();
            if (isPresent2) {
                asInt = m253m.getAsInt();
                jSONSerializer.out.writeInt(asInt);
                return;
            }
            jSONSerializer.writeNull();
        } else if (Okio$$ExternalSyntheticApiModelOutline0.m$3(obj)) {
            OptionalLong m256m = Okio$$ExternalSyntheticApiModelOutline0.m256m(obj);
            isPresent = m256m.isPresent();
            if (isPresent) {
                asLong = m256m.getAsLong();
                jSONSerializer.out.writeLong(asLong);
                return;
            }
            jSONSerializer.writeNull();
        } else {
            throw new JSONException("not support optional : " + obj.getClass());
        }
    }
}
