package com.alibaba.fastjson.util;

import com.taobao.weex.el.parse.Operators;
import java.lang.reflect.Array;
import java.math.BigInteger;
/* loaded from: classes.dex */
public final class RyuDouble {
    private static final int[][] POW5_SPLIT = (int[][]) Array.newInstance(Integer.TYPE, 326, 4);
    private static final int[][] POW5_INV_SPLIT = (int[][]) Array.newInstance(Integer.TYPE, 291, 4);

    static {
        BigInteger subtract = BigInteger.ONE.shiftLeft(31).subtract(BigInteger.ONE);
        BigInteger subtract2 = BigInteger.ONE.shiftLeft(31).subtract(BigInteger.ONE);
        int i = 0;
        while (i < 326) {
            BigInteger pow = BigInteger.valueOf(5L).pow(i);
            int bitLength = pow.bitLength();
            int i2 = i == 0 ? 1 : (int) (((i * 23219280) + 9999999) / 10000000);
            if (i2 != bitLength) {
                throw new IllegalStateException(bitLength + " != " + i2);
            }
            if (i < POW5_SPLIT.length) {
                for (int i3 = 0; i3 < 4; i3++) {
                    POW5_SPLIT[i][i3] = pow.shiftRight((bitLength - 121) + ((3 - i3) * 31)).and(subtract).intValue();
                }
            }
            if (i < POW5_INV_SPLIT.length) {
                BigInteger add = BigInteger.ONE.shiftLeft(bitLength + 121).divide(pow).add(BigInteger.ONE);
                for (int i4 = 0; i4 < 4; i4++) {
                    if (i4 == 0) {
                        POW5_INV_SPLIT[i][i4] = add.shiftRight((3 - i4) * 31).intValue();
                    } else {
                        POW5_INV_SPLIT[i][i4] = add.shiftRight((3 - i4) * 31).and(subtract2).intValue();
                    }
                }
            }
            i++;
        }
    }

    public static String toString(double d) {
        char[] cArr = new char[24];
        return new String(cArr, 0, toString(d, cArr, 0));
    }

    public static int toString(double d, char[] cArr, int i) {
        int i2;
        boolean z;
        boolean z2;
        long j;
        long j2;
        long j3;
        int i3;
        boolean z3;
        boolean z4;
        long j4;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        boolean z5;
        boolean z6;
        int i9;
        int i10;
        int i11;
        int i12;
        if (!Double.isNaN(d)) {
            if (d == Double.POSITIVE_INFINITY) {
                cArr[i] = 'I';
                cArr[i + 1] = 'n';
                cArr[i + 2] = 'f';
                cArr[i + 3] = 'i';
                cArr[i + 4] = 'n';
                cArr[i + 5] = 'i';
                cArr[i + 6] = 't';
                i8 = i + 8;
                cArr[i + 7] = 'y';
            } else if (d == Double.NEGATIVE_INFINITY) {
                cArr[i] = '-';
                cArr[i + 1] = 'I';
                cArr[i + 2] = 'n';
                cArr[i + 3] = 'f';
                cArr[i + 4] = 'i';
                cArr[i + 5] = 'n';
                cArr[i + 6] = 'i';
                cArr[i + 7] = 't';
                i12 = i + 9;
                cArr[i + 8] = 'y';
            } else {
                long doubleToLongBits = Double.doubleToLongBits(d);
                int i13 = (doubleToLongBits > 0L ? 1 : (doubleToLongBits == 0L ? 0 : -1));
                if (i13 == 0) {
                    cArr[i] = '0';
                    cArr[i + 1] = Operators.DOT;
                    i12 = i + 3;
                    cArr[i + 2] = '0';
                } else if (doubleToLongBits == Long.MIN_VALUE) {
                    cArr[i] = '-';
                    cArr[i + 1] = '0';
                    cArr[i + 2] = Operators.DOT;
                    i8 = i + 4;
                    cArr[i + 3] = '0';
                } else {
                    int i14 = (int) ((doubleToLongBits >>> 52) & 2047);
                    long j5 = doubleToLongBits & 4503599627370495L;
                    if (i14 == 0) {
                        i2 = -1074;
                    } else {
                        i2 = i14 - 1075;
                        j5 |= 4503599627370496L;
                    }
                    boolean z7 = i13 < 0;
                    boolean z8 = (j5 & 1) == 0;
                    long j6 = 4 * j5;
                    long j7 = j6 + 2;
                    int i15 = (j5 != 4503599627370496L || i14 <= 1) ? 1 : 0;
                    long j8 = (j6 - 1) - i15;
                    int i16 = i2 - 2;
                    int i17 = 3;
                    if (i16 >= 0) {
                        int max = Math.max(0, ((int) ((i16 * 3010299) / 10000000)) - 1);
                        int i18 = (((-i16) + max) + ((max == 0 ? 1 : (int) (((max * 23219280) + 9999999) / 10000000)) + 121)) - 114;
                        if (i18 < 0) {
                            throw new IllegalArgumentException("" + i18);
                        }
                        int[] iArr = POW5_INV_SPLIT[max];
                        long j9 = j6 >>> 31;
                        long j10 = j6 & 2147483647L;
                        int i19 = iArr[0];
                        int i20 = iArr[1];
                        int i21 = iArr[2];
                        z2 = z8;
                        int i22 = iArr[3];
                        long j11 = ((((((((((((j10 * i22) >>> 31) + (i21 * j10)) + (i22 * j9)) >>> 31) + (i20 * j10)) + (i21 * j9)) >>> 31) + (i19 * j10)) + (i20 * j9)) >>> 21) + ((i19 * j9) << 10)) >>> i18;
                        long j12 = j7 >>> 31;
                        long j13 = j7 & 2147483647L;
                        z = z7;
                        long j14 = ((((((((((((j13 * i22) >>> 31) + (i21 * j13)) + (j12 * i22)) >>> 31) + (i20 * j13)) + (i21 * j12)) >>> 31) + (i19 * j13)) + (i20 * j12)) >>> 21) + ((i19 * j12) << 10)) >>> i18;
                        long j15 = j8 >>> 31;
                        long j16 = j8 & 2147483647L;
                        j2 = j14;
                        j3 = ((((((((((((j16 * i22) >>> 31) + (i21 * j16)) + (j15 * i22)) >>> 31) + (i20 * j16)) + (i21 * j15)) >>> 31) + (i19 * j16)) + (i20 * j15)) >>> 21) + ((i19 * j15) << 10)) >>> i18;
                        if (max <= 21) {
                            int i23 = ((j6 % 5) > 0L ? 1 : ((j6 % 5) == 0L ? 0 : -1));
                            if (i23 == 0) {
                                if (i23 != 0) {
                                    i11 = 0;
                                } else if (j6 % 25 != 0) {
                                    i11 = 1;
                                } else if (j6 % 125 != 0) {
                                    i11 = 2;
                                } else if (j6 % 625 != 0) {
                                    i11 = 3;
                                } else {
                                    long j17 = j6 / 625;
                                    int i24 = 4;
                                    for (long j18 = 0; j17 > j18 && j17 % 5 == j18; j18 = 0) {
                                        j17 /= 5;
                                        i24++;
                                    }
                                    i11 = i24;
                                }
                                z5 = i11 >= max;
                                z6 = false;
                                j = j11;
                                boolean z9 = z6;
                                z3 = z5;
                                i3 = max;
                                z4 = z9;
                            } else if (z2) {
                                if (j8 % 5 != 0) {
                                    i10 = 0;
                                } else if (j8 % 25 != 0) {
                                    i10 = 1;
                                } else if (j8 % 125 != 0) {
                                    i10 = 2;
                                } else if (j8 % 625 != 0) {
                                    i10 = 3;
                                } else {
                                    long j19 = j8 / 625;
                                    int i25 = 4;
                                    for (long j20 = 0; j19 > j20 && j19 % 5 == j20; j20 = 0) {
                                        j19 /= 5;
                                        i25++;
                                    }
                                    i10 = i25;
                                }
                                z6 = i10 >= max;
                                z5 = false;
                                j = j11;
                                boolean z92 = z6;
                                z3 = z5;
                                i3 = max;
                                z4 = z92;
                            } else {
                                if (j7 % 5 != 0) {
                                    i9 = 0;
                                } else if (j7 % 25 != 0) {
                                    i9 = 1;
                                } else if (j7 % 125 != 0) {
                                    i9 = 2;
                                } else if (j7 % 625 != 0) {
                                    i9 = 3;
                                } else {
                                    long j21 = j7 / 625;
                                    int i26 = 4;
                                    for (long j22 = 0; j21 > j22 && j21 % 5 == j22; j22 = 0) {
                                        j21 /= 5;
                                        i26++;
                                    }
                                    i9 = i26;
                                }
                                if (i9 >= max) {
                                    j2--;
                                }
                            }
                        }
                        z5 = false;
                        z6 = false;
                        j = j11;
                        boolean z922 = z6;
                        z3 = z5;
                        i3 = max;
                        z4 = z922;
                    } else {
                        z = z7;
                        z2 = z8;
                        int i27 = -i16;
                        int max2 = Math.max(0, ((int) ((i27 * 6989700) / 10000000)) - 1);
                        int i28 = i27 - max2;
                        int i29 = (max2 - ((i28 == 0 ? 1 : (int) (((i28 * 23219280) + 9999999) / 10000000)) - 121)) - 114;
                        if (i29 < 0) {
                            throw new IllegalArgumentException("" + i29);
                        }
                        int[] iArr2 = POW5_SPLIT[i28];
                        long j23 = j6 >>> 31;
                        long j24 = j6 & 2147483647L;
                        int i30 = iArr2[0];
                        long j25 = i30 * j23;
                        int i31 = iArr2[1];
                        long j26 = i31 * j23;
                        int i32 = i15;
                        int i33 = iArr2[2];
                        long j27 = i33 * j23;
                        int i34 = iArr2[3];
                        long j28 = j23 * i34;
                        long j29 = j7 >>> 31;
                        long j30 = j7 & 2147483647L;
                        j = ((((((((((((j24 * i34) >>> 31) + (i33 * j24)) + j28) >>> 31) + (i31 * j24)) + j27) >>> 31) + (i30 * j24)) + j26) >>> 21) + (j25 << 10)) >>> i29;
                        j2 = ((((((((((((j30 * i34) >>> 31) + (i33 * j30)) + (j29 * i34)) >>> 31) + (i31 * j30)) + (i33 * j29)) >>> 31) + (i30 * j30)) + (i31 * j29)) >>> 21) + ((i30 * j29) << 10)) >>> i29;
                        long j31 = j8 >>> 31;
                        long j32 = j8 & 2147483647L;
                        j3 = ((((((((((((j32 * i34) >>> 31) + (i33 * j32)) + (j31 * i34)) >>> 31) + (i31 * j32)) + (i33 * j31)) >>> 31) + (i30 * j32)) + (i31 * j31)) >>> 21) + ((i30 * j31) << 10)) >>> i29;
                        i3 = max2 + i16;
                        z3 = true;
                        if (max2 <= 1) {
                            if (!z2) {
                                j2--;
                            } else if (i32 == 1) {
                                z4 = true;
                            }
                            z4 = false;
                        } else if (max2 < 63) {
                            z3 = (j6 & ((1 << (max2 - 1)) - 1)) == 0;
                            z4 = false;
                        } else {
                            z4 = false;
                            z3 = false;
                        }
                    }
                    if (j2 >= 1000000000000000000L) {
                        i17 = 19;
                    } else if (j2 >= 100000000000000000L) {
                        i17 = 18;
                    } else if (j2 >= 10000000000000000L) {
                        i17 = 17;
                    } else if (j2 >= 1000000000000000L) {
                        i17 = 16;
                    } else if (j2 >= 100000000000000L) {
                        i17 = 15;
                    } else if (j2 >= 10000000000000L) {
                        i17 = 14;
                    } else if (j2 >= 1000000000000L) {
                        i17 = 13;
                    } else if (j2 >= 100000000000L) {
                        i17 = 12;
                    } else if (j2 >= 10000000000L) {
                        i17 = 11;
                    } else if (j2 >= 1000000000) {
                        i17 = 10;
                    } else if (j2 >= 100000000) {
                        i17 = 9;
                    } else if (j2 >= 10000000) {
                        i17 = 8;
                    } else if (j2 >= 1000000) {
                        i17 = 7;
                    } else if (j2 >= 100000) {
                        i17 = 6;
                    } else if (j2 >= 10000) {
                        i17 = 5;
                    } else if (j2 >= 1000) {
                        i17 = 4;
                    } else if (j2 < 100) {
                        i17 = j2 >= 10 ? 2 : 1;
                    }
                    int i35 = i3 + i17;
                    int i36 = i35 - 1;
                    boolean z10 = i36 < -3 || i36 >= 7;
                    if (z4 || z3) {
                        int i37 = 0;
                        int i38 = 0;
                        while (true) {
                            long j33 = j2 / 10;
                            long j34 = j3 / 10;
                            if (j33 <= j34 || (j2 < 100 && z10)) {
                                break;
                            }
                            z4 &= j3 % 10 == 0;
                            z3 &= i37 == 0;
                            i37 = (int) (j % 10);
                            j /= 10;
                            i38++;
                            j2 = j33;
                            j3 = j34;
                        }
                        if (z4 && z2) {
                            while (j3 % 10 == 0 && (j2 >= 100 || !z10)) {
                                z3 &= i37 == 0;
                                i37 = (int) (j % 10);
                                j2 /= 10;
                                j /= 10;
                                j3 /= 10;
                                i38++;
                            }
                        }
                        if (z3 && i37 == 5 && j % 2 == 0) {
                            i37 = 4;
                        }
                        j4 = j + (((j != j3 || (z4 && z2)) && i37 < 5) ? 0 : 1);
                        i4 = i38;
                    } else {
                        i4 = 0;
                        int i39 = 0;
                        while (true) {
                            long j35 = j2 / 10;
                            long j36 = j3 / 10;
                            if (j35 <= j36 || (j2 < 100 && z10)) {
                                break;
                            }
                            i39 = (int) (j % 10);
                            j /= 10;
                            i4++;
                            j2 = j35;
                            j3 = j36;
                        }
                        j4 = j + ((j == j3 || i39 >= 5) ? 1 : 0);
                    }
                    int i40 = i17 - i4;
                    if (z) {
                        i5 = i + 1;
                        cArr[i] = '-';
                    } else {
                        i5 = i;
                    }
                    if (!z10) {
                        char c = '0';
                        if (i36 < 0) {
                            int i41 = i5 + 1;
                            cArr[i5] = '0';
                            int i42 = i5 + 2;
                            cArr[i41] = Operators.DOT;
                            int i43 = -1;
                            while (i43 > i36) {
                                cArr[i42] = c;
                                i43--;
                                i42++;
                                c = '0';
                            }
                            i6 = i42;
                            for (int i44 = 0; i44 < i40; i44++) {
                                cArr[((i42 + i40) - i44) - 1] = (char) ((j4 % 10) + 48);
                                j4 /= 10;
                                i6++;
                            }
                        } else if (i35 >= i40) {
                            for (int i45 = 0; i45 < i40; i45++) {
                                cArr[((i5 + i40) - i45) - 1] = (char) ((j4 % 10) + 48);
                                j4 /= 10;
                            }
                            int i46 = i5 + i40;
                            while (i40 < i35) {
                                cArr[i46] = '0';
                                i40++;
                                i46++;
                            }
                            cArr[i46] = Operators.DOT;
                            i6 = i46 + 2;
                            cArr[i46 + 1] = '0';
                        } else {
                            int i47 = i5 + 1;
                            for (int i48 = 0; i48 < i40; i48++) {
                                if ((i40 - i48) - 1 == i36) {
                                    cArr[((i47 + i40) - i48) - 1] = Operators.DOT;
                                    i47--;
                                }
                                cArr[((i47 + i40) - i48) - 1] = (char) ((j4 % 10) + 48);
                                j4 /= 10;
                            }
                            i6 = i5 + i40 + 1;
                        }
                        return i6 - i;
                    }
                    for (int i49 = 0; i49 < i40 - 1; i49++) {
                        int i50 = (int) (j4 % 10);
                        j4 /= 10;
                        cArr[(i5 + i40) - i49] = (char) (i50 + 48);
                    }
                    cArr[i5] = (char) ((j4 % 10) + 48);
                    cArr[i5 + 1] = Operators.DOT;
                    int i51 = i5 + i40 + 1;
                    if (i40 == 1) {
                        cArr[i51] = '0';
                        i51++;
                    }
                    int i52 = i51 + 1;
                    cArr[i51] = 'E';
                    if (i36 < 0) {
                        cArr[i52] = '-';
                        i36 = -i36;
                        i52 = i51 + 2;
                    }
                    if (i36 >= 100) {
                        int i53 = i52 + 1;
                        i7 = 48;
                        cArr[i52] = (char) ((i36 / 100) + 48);
                        i36 %= 100;
                        i52 += 2;
                        cArr[i53] = (char) ((i36 / 10) + 48);
                    } else {
                        i7 = 48;
                        if (i36 >= 10) {
                            cArr[i52] = (char) ((i36 / 10) + 48);
                            i52++;
                        }
                    }
                    i8 = i52 + 1;
                    cArr[i52] = (char) ((i36 % 10) + i7);
                }
            }
            return i8 - i;
        }
        cArr[i] = 'N';
        cArr[i + 1] = 'a';
        i12 = i + 3;
        cArr[i + 2] = 'N';
        return i12 - i;
    }
}
