package com.dcloud.zxing2.common;

import android.text.TextUtils;
import com.dcloud.zxing2.DecodeHintType;
import java.nio.charset.Charset;
import java.util.Map;
import kotlin.jvm.internal.ByteCompanionObject;
import org.mozilla.universalchardet.UniversalDetector;
import org.mozilla.universalchardet.prober.HebrewProber;
/* loaded from: classes.dex */
public final class StringUtils {
    private static final boolean ASSUME_SHIFT_JIS;
    private static final String EUC_JP = "EUC_JP";
    public static final String GB2312 = "GB2312";
    private static final String ISO88591 = "ISO8859_1";
    private static final String PLATFORM_DEFAULT_ENCODING;
    public static final String SHIFT_JIS = "SJIS";
    public static final String UTF8 = "UTF-8";

    static {
        String name = Charset.defaultCharset().name();
        PLATFORM_DEFAULT_ENCODING = name;
        ASSUME_SHIFT_JIS = SHIFT_JIS.equalsIgnoreCase(name) || EUC_JP.equalsIgnoreCase(name);
    }

    private StringUtils() {
    }

    /* JADX WARN: Removed duplicated region for block: B:143:0x0100 A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:54:0x009d  */
    /* JADX WARN: Removed duplicated region for block: B:67:0x00b7  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static String guessEncoding(byte[] bArr, Map<DecodeHintType, ?> map) {
        int i;
        byte[] bArr2 = bArr;
        if (map != null) {
            DecodeHintType decodeHintType = DecodeHintType.CHARACTER_SET;
            if (map.containsKey(decodeHintType)) {
                return map.get(decodeHintType).toString();
            }
        }
        if (map != null && map.containsKey(DecodeHintType.autoDecodeCharset)) {
            return guessEncodingSmart(bArr);
        }
        int length = bArr2.length;
        boolean z = true;
        int i2 = 0;
        boolean z2 = bArr2.length > 3 && bArr2[0] == -17 && bArr2[1] == -69 && bArr2[2] == -65;
        int i3 = 0;
        boolean z3 = true;
        boolean z4 = true;
        int i4 = 0;
        int i5 = 0;
        int i6 = 0;
        int i7 = 0;
        int i8 = 0;
        int i9 = 0;
        int i10 = 0;
        int i11 = 0;
        int i12 = 0;
        int i13 = 0;
        while (i4 < length && (z || z3 || z4)) {
            byte b = bArr2[i4];
            int i14 = b & 255;
            if (z4) {
                if (i5 <= 0) {
                    i = length;
                    if ((b & ByteCompanionObject.MIN_VALUE) != 0) {
                        if ((b & 64) != 0) {
                            int i15 = i5 + 1;
                            if ((b & HebrewProber.SPACE) == 0) {
                                i7++;
                            } else {
                                i15 = i5 + 2;
                                if ((b & 16) == 0) {
                                    i8++;
                                } else {
                                    i5 += 3;
                                    if ((b & 8) == 0) {
                                        i9++;
                                    }
                                }
                            }
                            i5 = i15;
                        }
                    }
                    if (z) {
                        if (i14 > 127 && i14 < 160) {
                            z = false;
                        } else if (i14 > 159 && (i14 < 192 || i14 == 215 || i14 == 247)) {
                            i11++;
                        }
                    }
                    if (z3) {
                        if (i6 > 0) {
                            if (i14 >= 64 && i14 != 127 && i14 <= 252) {
                                i6--;
                            }
                            z3 = false;
                        } else {
                            if (i14 != 128 && i14 != 160 && i14 <= 239) {
                                if (i14 <= 160 || i14 >= 224) {
                                    if (i14 > 127) {
                                        i6++;
                                        int i16 = i12 + 1;
                                        if (i16 > i2) {
                                            i2 = i16;
                                            i12 = i2;
                                        } else {
                                            i12 = i16;
                                        }
                                    } else {
                                        i12 = 0;
                                    }
                                    i13 = 0;
                                } else {
                                    i3++;
                                    int i17 = i13 + 1;
                                    if (i17 > i10) {
                                        i10 = i17;
                                        i13 = i10;
                                    } else {
                                        i13 = i17;
                                    }
                                    i12 = 0;
                                }
                            }
                            z3 = false;
                        }
                    }
                    i4++;
                    bArr2 = bArr;
                    length = i;
                } else if ((b & ByteCompanionObject.MIN_VALUE) == 0) {
                    i = length;
                } else {
                    i5--;
                }
                z4 = false;
                if (z) {
                }
                if (z3) {
                }
                i4++;
                bArr2 = bArr;
                length = i;
            }
            i = length;
            if (z) {
            }
            if (z3) {
            }
            i4++;
            bArr2 = bArr;
            length = i;
        }
        int i18 = length;
        if (z4 && i5 > 0) {
            z4 = false;
        }
        if (z3 && i6 > 0) {
            z3 = false;
        }
        if (!z4 || (!z2 && i7 + i8 + i9 <= 0)) {
            if (!z3 || (!ASSUME_SHIFT_JIS && i10 < 3 && i2 < 3)) {
                if (z && z3) {
                    if ((i10 == 2 && i3 == 2) || i11 * 10 >= i18) {
                        return SHIFT_JIS;
                    }
                    return ISO88591;
                } else if (z) {
                    return ISO88591;
                } else {
                    if (z3) {
                        return SHIFT_JIS;
                    }
                    return z4 ? "UTF-8" : PLATFORM_DEFAULT_ENCODING;
                }
            }
            return SHIFT_JIS;
        }
        return "UTF-8";
    }

    public static String guessEncodingSmart(byte[] bArr) {
        UniversalDetector universalDetector = new UniversalDetector();
        universalDetector.handleData(bArr);
        universalDetector.dataEnd();
        String detectedCharset = universalDetector.getDetectedCharset();
        universalDetector.reset();
        return !TextUtils.isEmpty(detectedCharset) ? detectedCharset : GB2312;
    }
}
