package com.robustel.project.uniplugin.bluetooth.slave;

import android.app.Activity;
import android.content.Context;
import com.alibaba.fastjson.JSONObject;
import io.dcloud.feature.uniapp.annotation.UniJSMethod;
import io.dcloud.feature.uniapp.bridge.UniJSCallback;
import io.dcloud.feature.uniapp.common.UniModule;
import java.util.HashMap;
import java.util.Map;
/* loaded from: classes.dex */
public class BluetoothSlavePlugin extends UniModule {
    @UniJSMethod(uiThread = false)
    public void enableBluetooth() {
        BluetoothSlave.getInstance().enableBluetooth(getContext());
    }

    @UniJSMethod(uiThread = false)
    public void disableBluetooth() {
        BluetoothSlave.getInstance().disableBluetooth(getContext());
    }

    @UniJSMethod(uiThread = false)
    public Map isEnableBluetooth() {
        return BluetoothSlave.getInstance().isEnable(getContext());
    }

    @UniJSMethod(uiThread = false)
    public void setName(JSONObject jSONObject) {
        BluetoothSlave.getInstance().setName(jSONObject, getContext());
    }

    @UniJSMethod(uiThread = false)
    public void disConnectDevice(JSONObject jSONObject) {
        BluetoothSlave.getInstance().disConnectDevice(jSONObject, getContext());
    }

    @UniJSMethod(uiThread = false)
    public void initBluetoothSlave(JSONObject jSONObject) {
        BluetoothSlave.getInstance().initBluetoothSlave(getContext());
    }

    @UniJSMethod(uiThread = false)
    public void startAdvertising(JSONObject jSONObject, UniJSCallback uniJSCallback) {
        BluetoothSlave.getInstance().startAdvertising(jSONObject, uniJSCallback, getContext());
    }

    @UniJSMethod(uiThread = false)
    public void releaseResource() {
        BluetoothSlave.getInstance().releaseResource();
    }

    @UniJSMethod(uiThread = false)
    public void setSlaveCallback(UniJSCallback uniJSCallback) {
        BluetoothSlave.getInstance().setSlaveCallback(uniJSCallback);
    }

    @UniJSMethod(uiThread = false)
    public void stopAdvertising(UniJSCallback uniJSCallback) {
        BluetoothSlave.getInstance().stopAdvertising(getContext());
        if (uniJSCallback != null) {
            uniJSCallback.invoke(new HashMap());
        }
    }

    @UniJSMethod(uiThread = false)
    public void close() {
        BluetoothSlave.getInstance().close();
    }

    @UniJSMethod(uiThread = false)
    public void initGattServer() {
        BluetoothSlave.getInstance().initGattServer(getContext());
    }

    @UniJSMethod(uiThread = false)
    public void addService(JSONObject jSONObject) {
        BluetoothSlave.getInstance().addService(jSONObject, getContext());
    }

    @UniJSMethod(uiThread = false)
    public void removeService(JSONObject jSONObject) {
        BluetoothSlave.getInstance().removeService(jSONObject, getContext());
    }

    @UniJSMethod(uiThread = false)
    public void removeAllService() {
        BluetoothSlave.getInstance().removeAllService(getContext());
    }

    @UniJSMethod(uiThread = false)
    public Map sendData(JSONObject jSONObject) {
        return BluetoothSlave.getInstance().sendData(jSONObject);
    }

    @UniJSMethod(uiThread = false)
    public Map sendResponse(JSONObject jSONObject) {
        return BluetoothSlave.getInstance().sendResponse(jSONObject);
    }

    @UniJSMethod(uiThread = false)
    public void setReceiveDataDataType(JSONObject jSONObject) {
        BluetoothSlave.getInstance().setReceiveDataDataType(jSONObject);
    }

    private Context getContext() {
        return this.mUniSDKInstance.getContext();
    }

    private Activity getActivity() {
        Context context = getContext();
        if (context == null || !(context instanceof Activity)) {
            return null;
        }
        return (Activity) context;
    }
}
