package com.robustel.project.uniplugin.bluetooth.slave.utils;

import java.util.List;
/* loaded from: classes.dex */
public class ByteUtils {
    private static final char[] HEX_CHAR_TABLE = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F'};

    public static int byteToInt(byte b) {
        return b & 255;
    }

    public static int converHighLower(int i, int i2) {
        return ((i & 255) << 8) | (i2 & 255);
    }

    public static byte intToByte(int i) {
        return (byte) (i & 255);
    }

    public static int[] byteArrayToIntArray(byte[] bArr) {
        if (bArr == null) {
            return null;
        }
        int[] iArr = new int[bArr.length];
        for (int i = 0; i < bArr.length; i++) {
            iArr[i] = byteToInt(bArr[i]);
        }
        return iArr;
    }

    public static byte[] intArrayToByteArray(int[] iArr) {
        if (iArr == null) {
            return null;
        }
        byte[] bArr = new byte[iArr.length];
        for (int i = 0; i < iArr.length; i++) {
            bArr[i] = intToByte(iArr[i]);
        }
        return bArr;
    }

    public static byte[] listTobyte(List<Byte> list) {
        if (list == null) {
            return null;
        }
        byte[] bArr = new byte[list.size()];
        int i = 0;
        for (Byte b : list) {
            bArr[i] = b.byteValue();
            i++;
        }
        return bArr;
    }

    public static byte[] byteMerger(byte[] bArr, byte[] bArr2) {
        byte[] bArr3 = new byte[bArr.length + bArr2.length];
        System.arraycopy(bArr, 0, bArr3, 0, bArr.length);
        System.arraycopy(bArr2, 0, bArr3, bArr.length, bArr2.length);
        return bArr3;
    }

    public static byte bitToByte(String str) {
        int parseInt;
        if (str == null) {
            return (byte) 0;
        }
        int length = str.length();
        if (length == 4 || length == 8) {
            if (length == 8) {
                if (str.charAt(0) == '0') {
                    parseInt = Integer.parseInt(str, 2);
                } else {
                    parseInt = Integer.parseInt(str, 2) - 256;
                }
            } else {
                parseInt = Integer.parseInt(str, 2);
            }
            return (byte) parseInt;
        }
        return (byte) 0;
    }

    public static String byteToBit(byte b) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append((b >> 7) & 1).append((b >> 6) & 1).append((b >> 5) & 1).append((b >> 4) & 1).append((b >> 3) & 1).append((b >> 2) & 1).append((b >> 1) & 1).append(b & 1);
        return stringBuffer.toString();
    }

    public static String decToHex(String str) {
        return Integer.toString(Integer.parseInt(str, 10), 16);
    }

    public static String hexToDec(String str) {
        return Integer.toString(Integer.parseInt(str, 16), 10);
    }

    public static String hexToStr(byte[] bArr) {
        StringBuilder sb = new StringBuilder();
        for (byte b : bArr) {
            char[] cArr = HEX_CHAR_TABLE;
            sb.append(cArr[(b & 240) >> 4]);
            sb.append(cArr[b & 15]);
        }
        return sb.toString();
    }

    public static String hexToStr(int[] iArr) {
        if (iArr != null) {
            return hexToStr(intArrayToByteArray(iArr));
        }
        return null;
    }

    public static byte[] hexStrToByteArray(String str) {
        int length = str.length();
        byte[] bArr = new byte[length / 2];
        for (int i = 0; i < length; i += 2) {
            bArr[i / 2] = (byte) ((Character.digit(str.charAt(i), 16) << 4) + Character.digit(str.charAt(i + 1), 16));
        }
        return bArr;
    }

    public static int[] hexStrToIntArray(String str) {
        int length = str.length();
        byte[] bArr = new byte[length / 2];
        for (int i = 0; i < length; i += 2) {
            bArr[i / 2] = (byte) ((Character.digit(str.charAt(i), 16) << 4) + Character.digit(str.charAt(i + 1), 16));
        }
        return byteArrayToIntArray(bArr);
    }

    public static int charToInt(char c) {
        return Integer.parseInt(String.valueOf(c));
    }
}
