package com.robustel.project.uniplugin.bluetooth.slave.utils;

import android.text.TextUtils;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.TypeReference;
import com.alibaba.fastjson.parser.Feature;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
/* loaded from: classes.dex */
public class JsonUtils {
    public static Object modelOrList2Map(Object obj) {
        if (obj != null) {
            if (obj instanceof List) {
                return jsonToArray(objectToJson(obj), Map.class);
            }
            if ((obj instanceof Integer) || (obj instanceof String) || (obj instanceof Double) || (obj instanceof Float)) {
                return obj;
            }
            String objectToJson = objectToJson(obj);
            if (objectToJson != null) {
                return jsonToMap(objectToJson);
            }
            return null;
        }
        return null;
    }

    public static String objectToJson(Object obj) {
        if (obj == null) {
            return "";
        }
        try {
            return JSON.toJSONString(obj);
        } catch (JSONException | Exception unused) {
            return "";
        }
    }

    public static <T> T jsonToObject(String str, Class<T> cls) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        try {
            return (T) JSON.parseObject(str, cls);
        } catch (Exception unused) {
            return null;
        }
    }

    public static <T> List<T> jsonToArray(String str, Class<T> cls) {
        try {
            return JSON.parseArray(str, cls);
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    public static List jsonToList(String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        try {
            return (List) JSON.parseObject(str, new TypeReference<ArrayList>() { // from class: com.robustel.project.uniplugin.bluetooth.slave.utils.JsonUtils.1
            }, new Feature[0]);
        } catch (Exception unused) {
            return null;
        }
    }

    public static Map jsonToMap(String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        try {
            return (Map) JSON.parseObject(str, new TypeReference<Map>() { // from class: com.robustel.project.uniplugin.bluetooth.slave.utils.JsonUtils.2
            }, new Feature[0]);
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }
}
