package com.robustel.project.uniplugin.bluetooth.slave.utils;

import java.io.UnsupportedEncodingException;
import java.nio.charset.StandardCharsets;
/* loaded from: classes.dex */
public class StringUtils {
    public static byte[] stringToByte(String str, String str2) {
        if (str == null) {
            return null;
        }
        if (str2 != null && str2.length() > 0) {
            str2.hashCode();
            char c = 65535;
            switch (str2.hashCode()) {
                case -1781735459:
                    if (str2.equals("UTF_16")) {
                        c = 0;
                        break;
                    }
                    break;
                case -842295952:
                    if (str2.equals("ISO_8859_1")) {
                        c = 1;
                        break;
                    }
                    break;
                case 81072000:
                    if (str2.equals("UTF_8")) {
                        c = 2;
                        break;
                    }
                    break;
                case 1245722192:
                    if (str2.equals("US_ASCII")) {
                        c = 3;
                        break;
                    }
                    break;
                case 1444177120:
                    if (str2.equals("UTF_16BE")) {
                        c = 4;
                        break;
                    }
                    break;
                case 1444177430:
                    if (str2.equals("UTF_16LE")) {
                        c = 5;
                        break;
                    }
                    break;
            }
            switch (c) {
                case 0:
                    return str.getBytes(StandardCharsets.UTF_16);
                case 1:
                    return str.getBytes(StandardCharsets.ISO_8859_1);
                case 2:
                    return str.getBytes(StandardCharsets.UTF_8);
                case 3:
                    return str.getBytes(StandardCharsets.US_ASCII);
                case 4:
                    return str.getBytes(StandardCharsets.UTF_16BE);
                case 5:
                    return str.getBytes(StandardCharsets.UTF_16LE);
                default:
                    try {
                        return str.getBytes(str2);
                    } catch (UnsupportedEncodingException e) {
                        e.printStackTrace();
                        return null;
                    }
            }
        }
        return str.getBytes();
    }

    public static String byteToString(byte[] bArr, String str) {
        if (bArr == null) {
            return null;
        }
        if (str != null && str.length() > 0) {
            str.hashCode();
            char c = 65535;
            switch (str.hashCode()) {
                case -1781735459:
                    if (str.equals("UTF_16")) {
                        c = 0;
                        break;
                    }
                    break;
                case -842295952:
                    if (str.equals("ISO_8859_1")) {
                        c = 1;
                        break;
                    }
                    break;
                case 81072000:
                    if (str.equals("UTF_8")) {
                        c = 2;
                        break;
                    }
                    break;
                case 1245722192:
                    if (str.equals("US_ASCII")) {
                        c = 3;
                        break;
                    }
                    break;
                case 1444177120:
                    if (str.equals("UTF_16BE")) {
                        c = 4;
                        break;
                    }
                    break;
                case 1444177430:
                    if (str.equals("UTF_16LE")) {
                        c = 5;
                        break;
                    }
                    break;
            }
            switch (c) {
                case 0:
                    return new String(bArr, StandardCharsets.UTF_16);
                case 1:
                    return new String(bArr, StandardCharsets.ISO_8859_1);
                case 2:
                    return new String(bArr, StandardCharsets.UTF_8);
                case 3:
                    return new String(bArr, StandardCharsets.US_ASCII);
                case 4:
                    return new String(bArr, StandardCharsets.UTF_16BE);
                case 5:
                    return new String(bArr, StandardCharsets.UTF_16LE);
                default:
                    try {
                        return new String(bArr, str);
                    } catch (UnsupportedEncodingException e) {
                        e.printStackTrace();
                        return null;
                    }
            }
        }
        return new String(bArr);
    }
}
