package com.taobao.weex.appfram.clipboard;

import android.content.ClipData;
import android.content.ClipboardManager;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import com.taobao.weex.annotation.JSMethod;
import com.taobao.weex.bridge.JSCallback;
import com.taobao.weex.common.WXModule;
import com.taobao.weex.utils.WXLogUtils;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.HashMap;
/* loaded from: classes.dex */
public class WXClipboardModule extends WXModule implements IWXClipboard {
    private static final String DATA = "data";
    private static final String RESULT = "result";
    private static final String RESULT_FAILED = "failed";
    private static final String RESULT_OK = "success";
    private final String CLIP_KEY = "WEEX_CLIP_KEY_MAIN";

    private CharSequence coerceToText(Context context, ClipData.Item item) {
        Throwable th;
        FileInputStream fileInputStream;
        IOException e;
        FileInputStream fileInputStream2;
        FileInputStream fileInputStream3;
        InputStreamReader inputStreamReader;
        CharSequence text = item.getText();
        if (text != null) {
            return text;
        }
        Uri uri = item.getUri();
        InputStreamReader inputStreamReader2 = null;
        try {
            try {
                if (uri != null) {
                    try {
                        fileInputStream2 = context.getContentResolver().openTypedAssetFileDescriptor(uri, "text/*", null).createInputStream();
                        try {
                            inputStreamReader = new InputStreamReader(fileInputStream2, "UTF-8");
                        } catch (FileNotFoundException unused) {
                            fileInputStream3 = fileInputStream2;
                        } catch (IOException e2) {
                            e = e2;
                        }
                        try {
                            StringBuilder sb = new StringBuilder(128);
                            char[] cArr = new char[8192];
                            while (true) {
                                int read = inputStreamReader.read(cArr);
                                if (read <= 0) {
                                    break;
                                }
                                sb.append(cArr, 0, read);
                            }
                            String sb2 = sb.toString();
                            try {
                                inputStreamReader.close();
                            } catch (IOException unused2) {
                            }
                            if (fileInputStream2 != null) {
                                try {
                                    fileInputStream2.close();
                                } catch (IOException unused3) {
                                }
                            }
                            return sb2;
                        } catch (FileNotFoundException unused4) {
                            inputStreamReader2 = inputStreamReader;
                            fileInputStream3 = fileInputStream2;
                            if (inputStreamReader2 != null) {
                                try {
                                    inputStreamReader2.close();
                                } catch (IOException unused5) {
                                }
                            }
                            if (fileInputStream3 != null) {
                                fileInputStream3.close();
                            }
                            return uri.toString();
                        } catch (IOException e3) {
                            inputStreamReader2 = inputStreamReader;
                            e = e3;
                            WXLogUtils.w("ClippedData Failure loading text.", e);
                            if (inputStreamReader2 != null) {
                                try {
                                    inputStreamReader2.close();
                                } catch (IOException unused6) {
                                }
                            }
                            if (fileInputStream2 != null) {
                                fileInputStream2.close();
                            }
                            return uri.toString();
                        } catch (Throwable th2) {
                            th = th2;
                            inputStreamReader2 = inputStreamReader;
                            fileInputStream = fileInputStream2;
                            if (inputStreamReader2 != null) {
                                try {
                                    inputStreamReader2.close();
                                } catch (IOException unused7) {
                                }
                            }
                            if (fileInputStream != null) {
                                try {
                                    fileInputStream.close();
                                } catch (IOException unused8) {
                                }
                            }
                            throw th;
                        }
                    } catch (FileNotFoundException unused9) {
                        fileInputStream3 = null;
                    } catch (IOException e4) {
                        e = e4;
                        fileInputStream2 = null;
                    } catch (Throwable th3) {
                        th = th3;
                        fileInputStream = null;
                    }
                } else {
                    Intent intent = item.getIntent();
                    if (intent != null) {
                        return intent.toUri(1);
                    }
                    return null;
                }
            } catch (IOException unused10) {
            }
        } catch (Throwable th4) {
            th = th4;
            fileInputStream = context;
        }
    }

    @Override // com.taobao.weex.appfram.clipboard.IWXClipboard
    @JSMethod
    public void getString(JSCallback jSCallback) {
        Context context = this.mWXSDKInstance.getContext();
        HashMap hashMap = new HashMap(2);
        ClipData primaryClip = ((ClipboardManager) context.getSystemService("clipboard")).getPrimaryClip();
        if (primaryClip != null && primaryClip.getItemCount() > 0) {
            CharSequence coerceToText = coerceToText(context, primaryClip.getItemAt(0));
            hashMap.put("result", coerceToText != null ? "success" : "failed");
            hashMap.put("data", coerceToText != null ? coerceToText : "");
        } else {
            hashMap.put("result", "failed");
            hashMap.put("data", "");
        }
        if (jSCallback != null) {
            jSCallback.invoke(hashMap);
        }
    }

    @Override // com.taobao.weex.appfram.clipboard.IWXClipboard
    @JSMethod
    public void setString(String str) {
        if (str == null) {
            return;
        }
        ((ClipboardManager) this.mWXSDKInstance.getContext().getSystemService("clipboard")).setPrimaryClip(ClipData.newPlainText("WEEX_CLIP_KEY_MAIN", str));
    }
}
