package com.taobao.weex.devtools.debug;

import com.taobao.weex.devtools.WeexInspector;
import com.taobao.weex.devtools.debug.IWebSocketClient;
/* loaded from: classes.dex */
public class CustomerWSClient extends SocketClient {
    private IWebSocketClient webSocketClient;

    public CustomerWSClient(DebugServerProxy debugServerProxy) {
        super(debugServerProxy);
        this.webSocketClient = WeexInspector.getCustomerWSClient();
    }

    @Override // com.taobao.weex.devtools.debug.SocketClient
    protected void connect(String str) {
        IWebSocketClient iWebSocketClient = this.webSocketClient;
        if (iWebSocketClient != null) {
            iWebSocketClient.connect(str, new IWebSocketClient.WSListener() { // from class: com.taobao.weex.devtools.debug.CustomerWSClient.1
                @Override // com.taobao.weex.devtools.debug.IWebSocketClient.WSListener
                public void onOpen() {
                    if (CustomerWSClient.this.mConnectCallback != null) {
                        CustomerWSClient.this.mConnectCallback.onSuccess(null);
                    }
                }

                @Override // com.taobao.weex.devtools.debug.IWebSocketClient.WSListener
                public void onMessage(String str2) {
                    try {
                        CustomerWSClient.this.mProxy.handleMessage(str2);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }

                @Override // com.taobao.weex.devtools.debug.IWebSocketClient.WSListener
                public void onClose() {
                    if (CustomerWSClient.this.mHandlerThread == null || !CustomerWSClient.this.mHandlerThread.isAlive()) {
                        return;
                    }
                    CustomerWSClient.this.mHandler.sendEmptyMessage(3);
                }

                @Override // com.taobao.weex.devtools.debug.IWebSocketClient.WSListener
                public void onFailure(Throwable th) {
                    if (CustomerWSClient.this.mConnectCallback != null) {
                        CustomerWSClient.this.mConnectCallback.onFailure(th);
                        CustomerWSClient.this.mConnectCallback = null;
                    }
                }
            });
        }
    }

    @Override // com.taobao.weex.devtools.debug.SocketClient
    protected void close() {
        IWebSocketClient iWebSocketClient = this.webSocketClient;
        if (iWebSocketClient != null) {
            iWebSocketClient.close();
        }
    }

    @Override // com.taobao.weex.devtools.debug.SocketClient
    protected void sendProtocolMessage(int i, String str) {
        IWebSocketClient iWebSocketClient = this.webSocketClient;
        if (iWebSocketClient != null) {
            iWebSocketClient.sendMessage(i, str);
        }
    }

    @Override // com.taobao.weex.devtools.debug.SocketClient, com.taobao.weex.devtools.websocket.SimpleSession
    public boolean isOpen() {
        IWebSocketClient iWebSocketClient = this.webSocketClient;
        return iWebSocketClient != null && iWebSocketClient.isOpen();
    }

    public boolean isAvailed() {
        return this.webSocketClient != null;
    }
}
