package com.taobao.weex.devtools.inspector.network;

import android.util.Log;
import com.taobao.weex.devtools.inspector.network.NetworkEventReporter;
import java.io.InputStream;
import java.util.HashMap;
import java.util.Map;
/* loaded from: classes.dex */
public class NetworkEventReporterManager {
    private static final String DEFAULT_NETWORK_EVENT_REPORTER_IMPL_CLASS = "com.taobao.weex.devtools.inspector.network.NetworkEventReporterImpl";
    private static Map<String, Object> inspectParams;
    private static NetworkEventReporter sReporter;

    /* loaded from: classes.dex */
    public static class NetworkEventReporterAdapter implements NetworkEventReporter {
        @Override // com.taobao.weex.devtools.inspector.network.NetworkEventReporter
        public void dataReceived(String str, int i, int i2) {
        }

        @Override // com.taobao.weex.devtools.inspector.network.NetworkEventReporter
        public void dataSent(String str, int i, int i2) {
        }

        @Override // com.taobao.weex.devtools.inspector.network.NetworkEventReporter
        public void httpExchangeFailed(String str, String str2) {
        }

        @Override // com.taobao.weex.devtools.inspector.network.NetworkEventReporter
        public InputStream interpretResponseStream(String str, String str2, String str3, InputStream inputStream, ResponseHandler responseHandler) {
            return null;
        }

        @Override // com.taobao.weex.devtools.inspector.network.NetworkEventReporter
        public boolean isEnabled() {
            return false;
        }

        @Override // com.taobao.weex.devtools.inspector.network.NetworkEventReporter
        public String nextRequestId() {
            return null;
        }

        @Override // com.taobao.weex.devtools.inspector.network.NetworkEventReporter
        public void requestWillBeSent(NetworkEventReporter.InspectorRequest inspectorRequest) {
        }

        @Override // com.taobao.weex.devtools.inspector.network.NetworkEventReporter
        public void responseHeadersReceived(NetworkEventReporter.InspectorResponse inspectorResponse) {
        }

        @Override // com.taobao.weex.devtools.inspector.network.NetworkEventReporter
        public void responseReadFailed(String str, String str2) {
        }

        @Override // com.taobao.weex.devtools.inspector.network.NetworkEventReporter
        public void responseReadFinished(String str) {
        }

        @Override // com.taobao.weex.devtools.inspector.network.NetworkEventReporter
        public void webSocketClosed(String str) {
        }

        @Override // com.taobao.weex.devtools.inspector.network.NetworkEventReporter
        public void webSocketCreated(String str, String str2) {
        }

        @Override // com.taobao.weex.devtools.inspector.network.NetworkEventReporter
        public void webSocketFrameError(String str, String str2) {
        }

        @Override // com.taobao.weex.devtools.inspector.network.NetworkEventReporter
        public void webSocketFrameReceived(NetworkEventReporter.InspectorWebSocketFrame inspectorWebSocketFrame) {
        }

        @Override // com.taobao.weex.devtools.inspector.network.NetworkEventReporter
        public void webSocketFrameSent(NetworkEventReporter.InspectorWebSocketFrame inspectorWebSocketFrame) {
        }

        @Override // com.taobao.weex.devtools.inspector.network.NetworkEventReporter
        public void webSocketHandshakeResponseReceived(NetworkEventReporter.InspectorWebSocketResponse inspectorWebSocketResponse) {
        }

        @Override // com.taobao.weex.devtools.inspector.network.NetworkEventReporter
        public void webSocketWillSendHandshakeRequest(NetworkEventReporter.InspectorWebSocketRequest inspectorWebSocketRequest) {
        }
    }

    public static NetworkEventReporter get() {
        if (allowReport()) {
            if (sReporter == null) {
                synchronized (NetworkEventReporterManager.class) {
                    if (sReporter == null) {
                        try {
                            sReporter = (NetworkEventReporter) Class.forName(DEFAULT_NETWORK_EVENT_REPORTER_IMPL_CLASS).getMethod("get", null).invoke(null, null);
                        } catch (Exception e) {
                            Log.w("NetworkEventReporter", e);
                        }
                    }
                }
            }
            return sReporter;
        }
        return null;
    }

    public static void putParam(String str, Object obj) {
        if (inspectParams == null) {
            inspectParams = new HashMap();
        }
        inspectParams.put(str, obj);
    }

    public static <T> T getParam(String str, T t) {
        Map<String, Object> map = inspectParams;
        return map == null ? t : (T) map.get(str);
    }

    public static NetworkEventReporter newEmptyReporter() {
        return new NetworkEventReporterAdapter();
    }

    private static boolean allowReport() {
        try {
            return ((Boolean) Class.forName("com.taobao.weex.WXEnvironment").getMethod("isApkDebugable", null).invoke(null, null)).booleanValue();
        } catch (Exception e) {
            Log.w("NetworkEventReporter", e);
            return false;
        }
    }
}
