package com.taobao.weex.devtools.trace;

import android.view.View;
import android.view.ViewGroup;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.component.WXScroller;
import com.taobao.weex.ui.component.list.WXListComponent;
import com.taobao.weex.ui.view.listview.WXRecyclerView;
import com.taobao.weex.ui.view.refresh.wrapper.BounceRecyclerView;
/* JADX INFO: Access modifiers changed from: package-private */
/* loaded from: classes.dex */
public class ComponentHeightComputer {
    private ComponentHeightComputer() {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static int computeComponentContentHeight(WXComponent wXComponent) {
        View hostView = wXComponent.getHostView();
        if (hostView == null) {
            return 0;
        }
        if (wXComponent instanceof WXListComponent) {
            BounceRecyclerView bounceRecyclerView = (BounceRecyclerView) ((WXListComponent) wXComponent).getHostView();
            if (bounceRecyclerView == null) {
                return 0;
            }
            WXRecyclerView wXRecyclerView = (WXRecyclerView) bounceRecyclerView.getInnerView();
            if (wXRecyclerView == null) {
                return bounceRecyclerView.getMeasuredHeight();
            }
            return wXRecyclerView.computeVerticalScrollRange();
        } else if (wXComponent instanceof WXScroller) {
            WXScroller wXScroller = (WXScroller) wXComponent;
            if (!ViewUtils.isVerticalScroller(wXScroller)) {
                return hostView.getMeasuredHeight();
            }
            ViewGroup innerView = wXScroller.getInnerView();
            if (innerView == null) {
                return hostView.getMeasuredHeight();
            }
            if (innerView.getChildCount() != 1) {
                return hostView.getMeasuredHeight();
            }
            return innerView.getChildAt(0).getMeasuredHeight();
        } else {
            return hostView.getMeasuredHeight();
        }
    }
}
