package com.taobao.weex.ui.component;

import android.content.Context;
import android.graphics.Color;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.FrameLayout;
import android.widget.RelativeLayout;
import com.taobao.weex.ui.view.WXEditText;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.DHInterface.ISysEventListener;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.atomic.AtomicReference;
/* loaded from: classes.dex */
public class ConfirmBar {
    private static ConfirmBar instance;
    private int height;
    private ViewGroup rootView;
    private RelativeLayout rtl;
    private List<WXComponent> editText = new ArrayList();
    private AtomicReference<ISysEventListener> listener = null;

    /* JADX INFO: Access modifiers changed from: package-private */
    public static ConfirmBar getInstance() {
        if (instance == null) {
            synchronized (ConfirmBar.class) {
                if (instance == null) {
                    instance = new ConfirmBar();
                }
            }
        }
        return instance;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void showConfirm(boolean z, int i) {
        try {
            if (this.rtl == null) {
                return;
            }
            ViewGroup viewGroup = this.rootView;
            View findViewWithTag = viewGroup != null ? viewGroup.findViewWithTag("AppRootView") : null;
            if (z) {
                if (this.rootView != null) {
                    FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) findViewWithTag.getLayoutParams();
                    layoutParams.bottomMargin = this.height;
                    findViewWithTag.setLayoutParams(layoutParams);
                }
                FrameLayout.LayoutParams layoutParams2 = (FrameLayout.LayoutParams) this.rtl.getLayoutParams();
                layoutParams2.topMargin = i;
                this.rtl.setLayoutParams(layoutParams2);
                this.rtl.setVisibility(0);
                this.rtl.bringToFront();
                return;
            }
            this.rtl.setVisibility(4);
            if (findViewWithTag != null) {
                FrameLayout.LayoutParams layoutParams3 = (FrameLayout.LayoutParams) findViewWithTag.getLayoutParams();
                layoutParams3.bottomMargin = 0;
                findViewWithTag.setLayoutParams(layoutParams3);
            }
        } catch (Exception unused) {
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void addComponent(WXComponent wXComponent) {
        try {
            this.editText.add(wXComponent);
        } catch (Exception unused) {
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void createConfirmBar(final Context context, IApp iApp) {
        try {
            if (this.listener == null) {
                AtomicReference<ISysEventListener> atomicReference = new AtomicReference<>(new ISysEventListener() { // from class: com.taobao.weex.ui.component.ConfirmBar.1
                    @Override // io.dcloud.common.DHInterface.ISysEventListener
                    public boolean onExecute(ISysEventListener.SysEventType sysEventType, Object obj) {
                        if (sysEventType == ISysEventListener.SysEventType.onSizeChanged) {
                            int[] iArr = (int[]) obj;
                            int i = context.getResources().getDisplayMetrics().heightPixels;
                            int i2 = context.getResources().getDisplayMetrics().heightPixels / 4;
                            if (Math.abs(iArr[1] - i) > i2 || Math.abs(iArr[1] - iArr[3]) > i2) {
                                int i3 = iArr[1];
                                int i4 = iArr[3];
                                if (i3 <= i4 || Math.abs(i3 - i4) <= i2) {
                                    Iterator it = ConfirmBar.this.editText.iterator();
                                    while (true) {
                                        if (!it.hasNext()) {
                                            break;
                                        }
                                        WXComponent wXComponent = (WXComponent) it.next();
                                        if (!wXComponent.getHostView().hasFocus() || !(wXComponent instanceof DCTextArea) || !((DCTextArea) wXComponent).isShowConfirm) {
                                            ConfirmBar.getInstance().showConfirm(false, iArr[1]);
                                        } else {
                                            ConfirmBar.getInstance().showConfirm(true, iArr[1]);
                                            break;
                                        }
                                    }
                                } else {
                                    ConfirmBar.getInstance().showConfirm(false, iArr[1]);
                                }
                            }
                        } else if (sysEventType == ISysEventListener.SysEventType.onWebAppStop) {
                            ConfirmBar.this.listener = null;
                            ConfirmBar.this.rtl = null;
                            ConfirmBar.this.rootView = null;
                        }
                        return false;
                    }
                });
                this.listener = atomicReference;
                iApp.registerSysEventListener(atomicReference.get(), ISysEventListener.SysEventType.onSizeChanged);
                iApp.registerSysEventListener(this.listener.get(), ISysEventListener.SysEventType.onWebAppStop);
            }
            this.height = (int) TypedValue.applyDimension(1, 44.0f, context.getResources().getDisplayMetrics());
            if (this.rtl == null) {
                this.rtl = new RelativeLayout(context);
                ViewGroup viewGroup = (ViewGroup) iApp.obtainWebAppRootView().obtainMainView().getParent();
                this.rootView = viewGroup;
                if (viewGroup != null) {
                    this.rootView.addView(this.rtl, new FrameLayout.LayoutParams(-1, this.height));
                }
                Button button = new Button(context);
                button.setText(17039370);
                button.setGravity(17);
                button.setTextColor(Color.argb(255, 50, 205, 50));
                button.setTextSize(TypedValue.applyDimension(2, 6.0f, context.getResources().getDisplayMetrics()));
                button.setBackground(null);
                button.setOnClickListener(new View.OnClickListener() { // from class: com.taobao.weex.ui.component.ConfirmBar.2
                    @Override // android.view.View.OnClickListener
                    public void onClick(View view) {
                        WXComponent wXComponent;
                        if (ConfirmBar.this.editText.size() > 0) {
                            Iterator it = ConfirmBar.this.editText.iterator();
                            while (true) {
                                if (!it.hasNext()) {
                                    wXComponent = null;
                                    break;
                                }
                                wXComponent = (WXComponent) it.next();
                                if ((wXComponent.getHostView() instanceof WXEditText) && wXComponent.getHostView().hasFocus()) {
                                    break;
                                }
                            }
                            if (wXComponent != null) {
                                HashMap hashMap = new HashMap(1);
                                HashMap hashMap2 = new HashMap(1);
                                hashMap2.put("value", ((WXEditText) wXComponent.getHostView()).getText().toString());
                                hashMap.put("detail", hashMap2);
                                wXComponent.fireEvent("confirm", hashMap);
                                if (wXComponent.getParent() != null) {
                                    wXComponent.getParent().interceptFocus();
                                }
                                wXComponent.getHostView().clearFocus();
                                ((DCTextArea) wXComponent).hideSoftKeyboard();
                            }
                        }
                    }
                });
                this.rtl.addView(button, new RelativeLayout.LayoutParams(-2, -1));
                this.rtl.setBackgroundColor(Color.argb(255, 220, 220, 220));
                this.rtl.setTag("ConfirmBar");
                this.rtl.setVisibility(4);
            }
        } catch (Exception unused) {
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void removeComponent(WXComponent wXComponent) {
        try {
            this.editText.remove(wXComponent);
        } catch (Exception unused) {
        }
    }
}
