package com.taobao.weex.ui.module;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.text.TextUtils;
import android.widget.EditText;
import android.widget.Toast;
import com.alibaba.fastjson.JSONObject;
import com.dcloud.android.widget.toast.ToastCompat;
import com.taobao.weex.WXSDKEngine;
import com.taobao.weex.annotation.JSMethod;
import com.taobao.weex.bridge.JSCallback;
import com.taobao.weex.utils.WXLogUtils;
import java.util.HashMap;
/* loaded from: classes.dex */
public class WXModalUIModule extends WXSDKEngine.DestroyableModule {
    public static final String CANCEL = "Cancel";
    public static final String CANCEL_TITLE = "cancelTitle";
    public static final String DATA = "data";
    public static final String DEFAULT = "default";
    public static final String DURATION = "duration";
    public static final String GRAVITY = "gravity";
    public static final String MESSAGE = "message";
    public static final String OK = "OK";
    public static final String OK_TITLE = "okTitle";
    public static final String RESULT = "result";
    private Dialog activeDialog;
    private Toast toast;

    private void tracking(Dialog dialog) {
        this.activeDialog = dialog;
        dialog.setOnDismissListener(new DialogInterface.OnDismissListener() { // from class: com.taobao.weex.ui.module.WXModalUIModule.6
            @Override // android.content.DialogInterface.OnDismissListener
            public void onDismiss(DialogInterface dialogInterface) {
                WXModalUIModule.this.activeDialog = null;
            }
        });
    }

    /* JADX WARN: Removed duplicated region for block: B:18:0x0031  */
    /* JADX WARN: Removed duplicated region for block: B:22:0x0047  */
    @JSMethod(uiThread = true)
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void alert(JSONObject jSONObject, final JSCallback jSCallback) {
        String str;
        String str2;
        if (this.mWXSDKInstance.getContext() instanceof Activity) {
            final String str3 = OK;
            if (jSONObject == null) {
                str2 = OK;
                str = "";
            } else {
                try {
                    str = jSONObject.getString("message");
                } catch (Exception e) {
                    e = e;
                    str = "";
                }
                try {
                    str2 = jSONObject.getString(OK_TITLE);
                } catch (Exception e2) {
                    e = e2;
                    WXLogUtils.e("[WXModalUIModule] alert param parse error ", e);
                    str2 = OK;
                    if (TextUtils.isEmpty(str)) {
                    }
                    AlertDialog.Builder builder = new AlertDialog.Builder(this.mWXSDKInstance.getContext());
                    builder.setMessage(r1);
                    if (!TextUtils.isEmpty(str2)) {
                    }
                    builder.setPositiveButton(str3, new DialogInterface.OnClickListener() { // from class: com.taobao.weex.ui.module.WXModalUIModule.1
                        @Override // android.content.DialogInterface.OnClickListener
                        public void onClick(DialogInterface dialogInterface, int i) {
                            JSCallback jSCallback2 = jSCallback;
                            if (jSCallback2 != null) {
                                jSCallback2.invoke(str3);
                            }
                        }
                    });
                    AlertDialog create = builder.create();
                    create.setCanceledOnTouchOutside(false);
                    create.show();
                    tracking(create);
                    return;
                }
            }
            String str4 = TextUtils.isEmpty(str) ? "" : str;
            AlertDialog.Builder builder2 = new AlertDialog.Builder(this.mWXSDKInstance.getContext());
            builder2.setMessage(str4);
            if (!TextUtils.isEmpty(str2)) {
                str3 = str2;
            }
            builder2.setPositiveButton(str3, new DialogInterface.OnClickListener() { // from class: com.taobao.weex.ui.module.WXModalUIModule.1
                @Override // android.content.DialogInterface.OnClickListener
                public void onClick(DialogInterface dialogInterface, int i) {
                    JSCallback jSCallback2 = jSCallback;
                    if (jSCallback2 != null) {
                        jSCallback2.invoke(str3);
                    }
                }
            });
            AlertDialog create2 = builder2.create();
            create2.setCanceledOnTouchOutside(false);
            create2.show();
            tracking(create2);
            return;
        }
        WXLogUtils.e("[WXModalUIModule] when call alert mWXSDKInstance.getContext() must instanceof Activity");
    }

    /* JADX WARN: Removed duplicated region for block: B:21:0x003e  */
    /* JADX WARN: Removed duplicated region for block: B:25:0x0054  */
    /* JADX WARN: Removed duplicated region for block: B:29:0x005c  */
    @JSMethod(uiThread = true)
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void confirm(JSONObject jSONObject, final JSCallback jSCallback) {
        String str;
        String str2;
        String str3;
        if (this.mWXSDKInstance.getContext() instanceof Activity) {
            final String str4 = CANCEL;
            final String str5 = OK;
            if (jSONObject == null) {
                str3 = CANCEL;
                str = OK;
                str2 = "";
            } else {
                try {
                    str2 = jSONObject.getString("message");
                    try {
                        str = jSONObject.getString(OK_TITLE);
                    } catch (Exception e) {
                        e = e;
                        str = OK;
                    }
                } catch (Exception e2) {
                    e = e2;
                    str = OK;
                    str2 = "";
                }
                try {
                    str3 = jSONObject.getString(CANCEL_TITLE);
                } catch (Exception e3) {
                    e = e3;
                    WXLogUtils.e("[WXModalUIModule] confirm param parse error ", e);
                    str3 = CANCEL;
                    if (TextUtils.isEmpty(str2)) {
                    }
                    AlertDialog.Builder builder = new AlertDialog.Builder(this.mWXSDKInstance.getContext());
                    builder.setMessage(r2);
                    if (!TextUtils.isEmpty(str)) {
                    }
                    if (!TextUtils.isEmpty(str3)) {
                    }
                    builder.setPositiveButton(str5, new DialogInterface.OnClickListener() { // from class: com.taobao.weex.ui.module.WXModalUIModule.2
                        @Override // android.content.DialogInterface.OnClickListener
                        public void onClick(DialogInterface dialogInterface, int i) {
                            JSCallback jSCallback2 = jSCallback;
                            if (jSCallback2 != null) {
                                jSCallback2.invoke(str5);
                            }
                        }
                    });
                    builder.setNegativeButton(str4, new DialogInterface.OnClickListener() { // from class: com.taobao.weex.ui.module.WXModalUIModule.3
                        @Override // android.content.DialogInterface.OnClickListener
                        public void onClick(DialogInterface dialogInterface, int i) {
                            JSCallback jSCallback2 = jSCallback;
                            if (jSCallback2 != null) {
                                jSCallback2.invoke(str4);
                            }
                        }
                    });
                    AlertDialog create = builder.create();
                    create.setCanceledOnTouchOutside(false);
                    create.show();
                    tracking(create);
                    return;
                }
            }
            String str6 = TextUtils.isEmpty(str2) ? "" : str2;
            AlertDialog.Builder builder2 = new AlertDialog.Builder(this.mWXSDKInstance.getContext());
            builder2.setMessage(str6);
            if (!TextUtils.isEmpty(str)) {
                str5 = str;
            }
            if (!TextUtils.isEmpty(str3)) {
                str4 = str3;
            }
            builder2.setPositiveButton(str5, new DialogInterface.OnClickListener() { // from class: com.taobao.weex.ui.module.WXModalUIModule.2
                @Override // android.content.DialogInterface.OnClickListener
                public void onClick(DialogInterface dialogInterface, int i) {
                    JSCallback jSCallback2 = jSCallback;
                    if (jSCallback2 != null) {
                        jSCallback2.invoke(str5);
                    }
                }
            });
            builder2.setNegativeButton(str4, new DialogInterface.OnClickListener() { // from class: com.taobao.weex.ui.module.WXModalUIModule.3
                @Override // android.content.DialogInterface.OnClickListener
                public void onClick(DialogInterface dialogInterface, int i) {
                    JSCallback jSCallback2 = jSCallback;
                    if (jSCallback2 != null) {
                        jSCallback2.invoke(str4);
                    }
                }
            });
            AlertDialog create2 = builder2.create();
            create2.setCanceledOnTouchOutside(false);
            create2.show();
            tracking(create2);
            return;
        }
        WXLogUtils.e("[WXModalUIModule] when call confirm mWXSDKInstance.getContext() must instanceof Activity");
    }

    @Override // com.taobao.weex.common.Destroyable
    public void destroy() {
        Dialog dialog = this.activeDialog;
        if (dialog == null || !dialog.isShowing()) {
            return;
        }
        this.activeDialog.dismiss();
    }

    /* JADX WARN: Removed duplicated region for block: B:24:0x004a  */
    /* JADX WARN: Removed duplicated region for block: B:28:0x0071  */
    /* JADX WARN: Removed duplicated region for block: B:32:0x0079  */
    @JSMethod(uiThread = true)
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void prompt(JSONObject jSONObject, final JSCallback jSCallback) {
        String str;
        String str2;
        String str3;
        String str4;
        if (this.mWXSDKInstance.getContext() instanceof Activity) {
            final String str5 = CANCEL;
            final String str6 = OK;
            if (jSONObject == null) {
                str = CANCEL;
                str2 = OK;
                str4 = "";
                str3 = str4;
            } else {
                try {
                    str3 = jSONObject.getString("message");
                    try {
                        str2 = jSONObject.getString(OK_TITLE);
                        try {
                            str = jSONObject.getString(CANCEL_TITLE);
                        } catch (Exception e) {
                            e = e;
                            str = CANCEL;
                        }
                    } catch (Exception e2) {
                        e = e2;
                        str = CANCEL;
                        str2 = OK;
                    }
                    try {
                        str4 = jSONObject.getString("default");
                    } catch (Exception e3) {
                        e = e3;
                        WXLogUtils.e("[WXModalUIModule] confirm param parse error ", e);
                        str4 = "";
                        if (TextUtils.isEmpty(str3)) {
                        }
                        AlertDialog.Builder builder = new AlertDialog.Builder(this.mWXSDKInstance.getContext());
                        builder.setMessage(r2);
                        final EditText editText = new EditText(this.mWXSDKInstance.getContext());
                        editText.setText(str4);
                        builder.setView(editText);
                        if (!TextUtils.isEmpty(str2)) {
                        }
                        if (!TextUtils.isEmpty(str)) {
                        }
                        builder.setPositiveButton(str6, new DialogInterface.OnClickListener() { // from class: com.taobao.weex.ui.module.WXModalUIModule.5
                            @Override // android.content.DialogInterface.OnClickListener
                            public void onClick(DialogInterface dialogInterface, int i) {
                                if (jSCallback != null) {
                                    HashMap hashMap = new HashMap();
                                    hashMap.put("result", str6);
                                    hashMap.put("data", editText.getText().toString());
                                    jSCallback.invoke(hashMap);
                                }
                            }
                        }).setNegativeButton(str5, new DialogInterface.OnClickListener() { // from class: com.taobao.weex.ui.module.WXModalUIModule.4
                            @Override // android.content.DialogInterface.OnClickListener
                            public void onClick(DialogInterface dialogInterface, int i) {
                                if (jSCallback != null) {
                                    HashMap hashMap = new HashMap();
                                    hashMap.put("result", str5);
                                    hashMap.put("data", editText.getText().toString());
                                    jSCallback.invoke(hashMap);
                                }
                            }
                        });
                        AlertDialog create = builder.create();
                        create.setCanceledOnTouchOutside(false);
                        create.show();
                        tracking(create);
                        return;
                    }
                } catch (Exception e4) {
                    e = e4;
                    str = CANCEL;
                    str2 = OK;
                    str3 = "";
                }
            }
            String str7 = TextUtils.isEmpty(str3) ? "" : str3;
            AlertDialog.Builder builder2 = new AlertDialog.Builder(this.mWXSDKInstance.getContext());
            builder2.setMessage(str7);
            final EditText editText2 = new EditText(this.mWXSDKInstance.getContext());
            editText2.setText(str4);
            builder2.setView(editText2);
            if (!TextUtils.isEmpty(str2)) {
                str6 = str2;
            }
            if (!TextUtils.isEmpty(str)) {
                str5 = str;
            }
            builder2.setPositiveButton(str6, new DialogInterface.OnClickListener() { // from class: com.taobao.weex.ui.module.WXModalUIModule.5
                @Override // android.content.DialogInterface.OnClickListener
                public void onClick(DialogInterface dialogInterface, int i) {
                    if (jSCallback != null) {
                        HashMap hashMap = new HashMap();
                        hashMap.put("result", str6);
                        hashMap.put("data", editText2.getText().toString());
                        jSCallback.invoke(hashMap);
                    }
                }
            }).setNegativeButton(str5, new DialogInterface.OnClickListener() { // from class: com.taobao.weex.ui.module.WXModalUIModule.4
                @Override // android.content.DialogInterface.OnClickListener
                public void onClick(DialogInterface dialogInterface, int i) {
                    if (jSCallback != null) {
                        HashMap hashMap = new HashMap();
                        hashMap.put("result", str5);
                        hashMap.put("data", editText2.getText().toString());
                        jSCallback.invoke(hashMap);
                    }
                }
            });
            AlertDialog create2 = builder2.create();
            create2.setCanceledOnTouchOutside(false);
            create2.show();
            tracking(create2);
            return;
        }
        WXLogUtils.e("when call prompt mWXSDKInstance.getContext() must instanceof Activity");
    }

    /* JADX WARN: Removed duplicated region for block: B:28:0x0058  */
    /* JADX WARN: Removed duplicated region for block: B:30:0x005e  */
    @JSMethod(uiThread = true)
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void toast(JSONObject jSONObject) {
        int i;
        int i2;
        if (this.mWXSDKInstance.getContext() == null) {
            return;
        }
        String str = "";
        if (jSONObject != null) {
            try {
                str = jSONObject.getString("message");
                i = jSONObject.containsKey("duration") ? jSONObject.getInteger("duration").intValue() : 0;
            } catch (Exception e) {
                e = e;
                i = 0;
            }
            try {
                if (jSONObject.containsKey(GRAVITY)) {
                    String string = jSONObject.getString(GRAVITY);
                    if (string instanceof String) {
                        if (string.equals("bottom")) {
                            i2 = 80;
                        }
                    }
                }
            } catch (Exception e2) {
                e = e2;
                WXLogUtils.e("[WXModalUIModule] alert param parse error ", e);
                i2 = 17;
                if (!TextUtils.isEmpty(str)) {
                }
            }
            i2 = 17;
        } else {
            i2 = 17;
            i = 0;
        }
        if (!TextUtils.isEmpty(str)) {
            WXLogUtils.e("[WXModalUIModule] toast param parse is null ");
            return;
        }
        int i3 = i > 3 ? 1 : 0;
        Toast toast = this.toast;
        if (toast == null) {
            this.toast = ToastCompat.makeText(this.mWXSDKInstance.getContext(), (CharSequence) str, i3);
        } else {
            toast.setDuration(i3);
            this.toast.setText(str);
        }
        if (17 == i2) {
            this.toast.setGravity(i2, 0, 0);
        }
        this.toast.show();
    }
}
