package com.taobao.weex.utils;

import android.text.TextUtils;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.parser.Feature;
import java.lang.reflect.Field;
import java.lang.reflect.Type;
import java.math.BigDecimal;
/* loaded from: classes.dex */
public class WXReflectionUtils {
    public static Field getDeclaredField(Object obj, String str) {
        for (Class<?> cls = obj.getClass(); cls != Object.class; cls = cls.getSuperclass()) {
            try {
                return cls.getDeclaredField(str);
            } catch (Exception unused) {
            }
        }
        return null;
    }

    public static Object parseArgument(Type type, Object obj) {
        if (obj != null) {
            if (obj.getClass() == type) {
                return obj;
            }
            if ((type instanceof Class) && ((Class) type).isAssignableFrom(obj.getClass())) {
                return obj;
            }
        }
        if (type == String.class) {
            return obj instanceof String ? obj : JSON.toJSONString(obj);
        }
        Class<?> cls = Integer.TYPE;
        if (type == cls) {
            return obj.getClass().isAssignableFrom(cls) ? obj : Integer.valueOf(WXUtils.getInt(obj));
        }
        Class<?> cls2 = Long.TYPE;
        if (type == cls2) {
            return obj.getClass().isAssignableFrom(cls2) ? obj : Long.valueOf(WXUtils.getLong(obj));
        }
        Class<?> cls3 = Double.TYPE;
        if (type == cls3) {
            return obj.getClass().isAssignableFrom(cls3) ? obj : Double.valueOf(WXUtils.getDouble(obj));
        }
        Class<?> cls4 = Float.TYPE;
        if (type == cls4) {
            return obj.getClass().isAssignableFrom(cls4) ? obj : Float.valueOf(WXUtils.getFloat(obj));
        } else if (type == JSONArray.class && obj != null && obj.getClass() == JSONArray.class) {
            return obj;
        } else {
            if (type == JSONObject.class && obj != null && obj.getClass() == JSONObject.class) {
                return obj;
            }
            return JSON.parseObject(obj instanceof String ? (String) obj : JSON.toJSONString(obj), type, new Feature[0]);
        }
    }

    public static void setProperty(Object obj, Field field, Object obj2) {
        if (obj == null || field == null) {
            return;
        }
        try {
            field.setAccessible(true);
            field.set(obj, obj2);
        } catch (Exception unused) {
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:39:0x0098 A[Catch: Exception -> 0x00ad, TryCatch #0 {Exception -> 0x00ad, blocks: (B:6:0x000a, B:8:0x0012, B:10:0x0016, B:37:0x0090, B:39:0x0098, B:43:0x00aa, B:42:0x00a2, B:12:0x001a, B:14:0x0022, B:17:0x002b, B:19:0x0033, B:22:0x003c, B:24:0x0044, B:27:0x004d, B:29:0x0055, B:33:0x0060, B:34:0x0069, B:35:0x0077, B:36:0x0084), top: B:46:0x000a }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static void setValue(Object obj, String str, Object obj2) {
        Object valueOf;
        if (obj != null && !TextUtils.isEmpty(str)) {
            try {
                Field declaredField = getDeclaredField(obj, str);
                if ((obj2 instanceof BigDecimal) || (obj2 instanceof Number) || (obj2 instanceof String)) {
                    if (declaredField.getType() != Float.class && declaredField.getType() != Float.TYPE) {
                        if (declaredField.getType() != Double.class && declaredField.getType() != Double.TYPE) {
                            if (declaredField.getType() != Integer.class && declaredField.getType() != Integer.TYPE) {
                                if (declaredField.getType() != Boolean.class) {
                                    if (declaredField.getType() == Boolean.TYPE) {
                                    }
                                }
                                valueOf = Boolean.valueOf(obj2.toString());
                                if ((declaredField.getType() != Boolean.TYPE || declaredField.getType() == Boolean.class) && obj2 != null) {
                                    valueOf = Boolean.valueOf(obj2.toString());
                                }
                                setProperty(obj, declaredField, valueOf);
                            }
                            valueOf = Integer.valueOf((int) Double.parseDouble(obj2.toString()));
                            if (declaredField.getType() != Boolean.TYPE) {
                            }
                            valueOf = Boolean.valueOf(obj2.toString());
                            setProperty(obj, declaredField, valueOf);
                        }
                        valueOf = Double.valueOf(Double.parseDouble(obj2.toString()));
                        if (declaredField.getType() != Boolean.TYPE) {
                        }
                        valueOf = Boolean.valueOf(obj2.toString());
                        setProperty(obj, declaredField, valueOf);
                    }
                    valueOf = Float.valueOf(Float.parseFloat(obj2.toString()));
                    if (declaredField.getType() != Boolean.TYPE) {
                    }
                    valueOf = Boolean.valueOf(obj2.toString());
                    setProperty(obj, declaredField, valueOf);
                }
                valueOf = obj2;
                if (declaredField.getType() != Boolean.TYPE) {
                }
                valueOf = Boolean.valueOf(obj2.toString());
                setProperty(obj, declaredField, valueOf);
            } catch (Exception unused) {
            }
        }
    }
}
