package com.taobao.weex.utils;

import android.app.ActivityManager;
import android.content.Context;
import android.os.Looper;
import android.os.SystemClock;
import android.text.TextUtils;
import androidx.collection.LruCache;
import com.taobao.weex.WXEnvironment;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.adapter.IWXConfigAdapter;
import com.taobao.weex.common.Constants;
import com.taobao.weex.el.parse.Operators;
import io.dcloud.common.constant.AbsoluteConst;
/* loaded from: classes.dex */
public class WXUtils {
    private static final int HUNDRED = 100;
    public static final char PERCENT = '%';
    static final LruCache<String, Integer> sCache = new LruCache<>(64);
    private static final long sInterval = System.currentTimeMillis() - SystemClock.uptimeMillis();

    public static boolean checkGreyConfig(String str, String str2, String str3) {
        IWXConfigAdapter wxConfigAdapter = WXSDKManager.getInstance().getWxConfigAdapter();
        if (wxConfigAdapter == null) {
            return false;
        }
        double d = 100.0d;
        double random = Math.random() * 100.0d;
        try {
            d = Double.valueOf(wxConfigAdapter.getConfig(str, str2, str3)).doubleValue();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return random < d;
    }

    /* JADX WARN: Code restructure failed: missing block: B:33:0x0077, code lost:
        return r1 * (-1.0f);
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static float fastGetFloat(String str, float f) {
        int i;
        boolean z;
        char charAt;
        char charAt2;
        float f2 = 0.0f;
        if (TextUtils.isEmpty(str)) {
            return 0.0f;
        }
        if (str.charAt(0) == '-') {
            i = 1;
            z = false;
        } else {
            i = str.charAt(0) == '+' ? 1 : 0;
            z = true;
        }
        while (i < str.length() && (charAt2 = str.charAt(i)) >= '0' && charAt2 <= '9') {
            f2 = ((f2 * 10.0f) + charAt2) - 48.0f;
            i++;
        }
        if (i < str.length() && str.charAt(i) == '.') {
            int i2 = i + 1;
            int i3 = 10;
            for (int i4 = 0; i2 < str.length() && i4 < f && (charAt = str.charAt(i2)) >= '0' && charAt <= '9'; i4++) {
                f2 += (charAt - '0') / i3;
                i3 *= 10;
                i2++;
            }
        }
        return f2;
    }

    private static float floatByViewport(Object obj, float f) {
        if (obj == null) {
            return Float.NaN;
        }
        String trim = obj.toString().trim();
        if (!"auto".equals(trim) && !Constants.Name.UNDEFINED.equals(trim) && !TextUtils.isEmpty(trim)) {
            if (trim.endsWith("wx")) {
                try {
                    return transferWx(trim, f);
                } catch (NumberFormatException e) {
                    WXLogUtils.e("Argument format error! value is " + obj, e);
                } catch (Exception e2) {
                    WXLogUtils.e("Argument error! value is " + obj, e2);
                }
            } else if (trim.endsWith("px")) {
                if (trim.length() > 3 && (trim.endsWith("rpx") || trim.endsWith("upx"))) {
                    try {
                        return transferRpxAndUpx(trim.substring(0, trim.length() - 3), 750.0f);
                    } catch (NumberFormatException e3) {
                        WXLogUtils.e("Argument format error! value is " + obj, e3);
                    } catch (Exception e4) {
                        WXLogUtils.e("Argument error! value is " + obj, e4);
                    }
                } else {
                    try {
                        return Float.parseFloat(trim.substring(0, trim.indexOf("px")));
                    } catch (NumberFormatException e5) {
                        WXLogUtils.e("Argument format error! value is " + obj, e5);
                    } catch (Exception e6) {
                        WXLogUtils.e("Argument error! value is " + obj, e6);
                    }
                }
            } else {
                try {
                    return Float.parseFloat(trim);
                } catch (NumberFormatException e7) {
                    WXLogUtils.e("Argument format error! value is " + obj, e7);
                } catch (Exception e8) {
                    WXLogUtils.e("Argument error! value is " + obj, e8);
                }
            }
            return Float.NaN;
        }
        WXLogUtils.e("Argument Warning ! value is " + trim + "And default Value:NaN");
        return Float.NaN;
    }

    public static long getAvailMemory(Context context) {
        ActivityManager.MemoryInfo memoryInfo = new ActivityManager.MemoryInfo();
        ((ActivityManager) context.getSystemService("activity")).getMemoryInfo(memoryInfo);
        WXLogUtils.w("app AvailMemory ---->>>" + (memoryInfo.availMem / 1048576));
        return memoryInfo.availMem / 1048576;
    }

    public static Boolean getBoolean(Object obj, Boolean bool) {
        if (obj == null) {
            return bool;
        }
        if (TextUtils.equals(AbsoluteConst.FALSE, obj.toString())) {
            return Boolean.FALSE;
        }
        return TextUtils.equals(AbsoluteConst.TRUE, obj.toString()) ? Boolean.TRUE : bool;
    }

    public static String getBundleBanner(String str) {
        int i;
        int indexLineBreak;
        int indexOf = str.indexOf("/*!");
        if (indexOf == -1 || (indexLineBreak = indexLineBreak(str, (i = indexOf + 3))) == -1) {
            return null;
        }
        int i2 = indexLineBreak + 1;
        String substring = str.substring(i2, Integer.parseInt(str.substring(i, indexLineBreak)) + i2);
        int lastIndexOf = substring.lastIndexOf("!*/");
        if (lastIndexOf == -1) {
            return null;
        }
        String substring2 = substring.substring(0, lastIndexOf);
        StringBuilder sb = new StringBuilder();
        for (String str2 : splitLineBreak(substring2)) {
            sb.append(str2.replaceFirst("\\*", ""));
        }
        return sb.toString();
    }

    public static LruCache getCache() {
        return sCache;
    }

    @Deprecated
    public static double getDouble(Object obj) {
        if (obj == null) {
            return 0.0d;
        }
        String trim = obj.toString().trim();
        if (trim.endsWith("wx")) {
            if (WXEnvironment.isApkDebugable()) {
                WXLogUtils.w("the value of " + obj + " use wx unit, which will be not supported soon after.");
            }
            try {
                return transferWx(trim, 750.0f);
            } catch (NumberFormatException e) {
                WXLogUtils.e("Argument format error! value is " + obj, e);
            } catch (Exception e2) {
                WXLogUtils.e("Argument error! value is " + obj, e2);
            }
        } else if (trim.endsWith("px")) {
            if (trim.length() > 3 && (trim.endsWith("rpx") || trim.endsWith("upx"))) {
                try {
                    return transferRpxAndUpx(trim.substring(0, trim.length() - 3), 750.0f);
                } catch (NumberFormatException e3) {
                    WXLogUtils.e("Argument format error! value is " + obj, e3);
                } catch (Exception e4) {
                    WXLogUtils.e("Argument error! value is " + obj, e4);
                }
            } else {
                try {
                    return Double.parseDouble(trim.substring(0, trim.indexOf("px")));
                } catch (NumberFormatException e5) {
                    WXLogUtils.e("Argument format error! value is " + obj, e5);
                } catch (Exception e6) {
                    WXLogUtils.e("Argument error! value is " + obj, e6);
                }
            }
        } else {
            try {
                return Double.parseDouble(trim);
            } catch (NumberFormatException e7) {
                WXLogUtils.e("Argument format error! value is " + obj, e7);
            } catch (Exception e8) {
                WXLogUtils.e("Argument error! value is " + obj, e8);
            }
        }
        return 0.0d;
    }

    public static long getFixUnixTime() {
        return sInterval + SystemClock.uptimeMillis();
    }

    public static float getFloat(Object obj) {
        return getFloat(obj, Float.valueOf(Float.NaN)).floatValue();
    }

    public static float getFloatByViewport(Object obj, float f) {
        return floatByViewport(obj, f);
    }

    public static int getInt(Object obj) {
        return getInteger(obj, 0).intValue();
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r9v10 */
    /* JADX WARN: Type inference failed for: r9v16, types: [java.lang.Integer] */
    /* JADX WARN: Type inference failed for: r9v17 */
    /* JADX WARN: Type inference failed for: r9v23, types: [java.lang.Integer] */
    /* JADX WARN: Type inference failed for: r9v24 */
    /* JADX WARN: Type inference failed for: r9v25 */
    public static Integer getInteger(Object obj, Integer num) {
        String str;
        if (obj == null) {
            return num;
        }
        String trim = obj.toString().trim();
        Integer num2 = sCache.get(trim);
        if (num2 != null) {
            return num2;
        }
        if (trim.length() < 2) {
            str = "";
        } else {
            str = trim.substring(trim.length() - 2, trim.length());
        }
        if (TextUtils.equals("wx", str)) {
            if (WXEnvironment.isApkDebugable()) {
                WXLogUtils.w("the value of " + obj + " use wx unit, which will be not supported soon after.");
            }
            try {
                obj = Integer.valueOf((int) transferWx(trim, 750.0f));
            } catch (NumberFormatException e) {
                WXLogUtils.e("Argument format error! value is " + obj, e);
            } catch (Exception e2) {
                WXLogUtils.e("Argument error! value is " + obj, e2);
            }
        } else if (TextUtils.equals("px", str)) {
            if (trim.length() > 3 && (trim.endsWith("rpx") || trim.endsWith("upx"))) {
                try {
                    obj = Integer.valueOf((int) transferRpxAndUpx(trim.substring(0, trim.length() - 3), 750.0f));
                } catch (NumberFormatException e3) {
                    WXLogUtils.e("Argument format error! value is " + obj, e3);
                } catch (Exception e4) {
                    WXLogUtils.e("Argument error! value is " + obj, e4);
                }
            } else {
                try {
                    String substring = trim.substring(0, trim.length() - 2);
                    if (!TextUtils.isEmpty(substring) && substring.contains(Operators.DOT_STR)) {
                        obj = Integer.valueOf((int) parseFloat(substring));
                    } else {
                        obj = Integer.valueOf(Integer.parseInt(substring));
                    }
                } catch (NumberFormatException e5) {
                    WXLogUtils.e("Argument format error! value is " + obj, e5);
                } catch (Exception e6) {
                    WXLogUtils.e("Argument error! value is " + obj, e6);
                }
            }
        } else {
            try {
            } catch (NumberFormatException e7) {
                WXLogUtils.e("Argument format error! value is " + obj, e7);
            } catch (Exception e8) {
                WXLogUtils.e("Argument error! value is " + obj, e8);
            }
            if (!TextUtils.isEmpty(trim)) {
                if (trim.contains(Operators.DOT_STR)) {
                    obj = Integer.valueOf((int) parseFloat(trim));
                } else {
                    obj = Integer.valueOf(Integer.parseInt(trim));
                }
            } else {
                if (WXEnvironment.isApkDebugable()) {
                    WXLogUtils.e("Argument value is null, df is" + num);
                }
                obj = num;
            }
        }
        if (obj != null && !obj.equals(num)) {
            sCache.put(trim, obj);
        }
        return obj;
    }

    @Deprecated
    public static long getLong(Object obj) {
        if (obj == null) {
            return 0L;
        }
        String trim = obj.toString().trim();
        if (trim.endsWith("wx")) {
            if (WXEnvironment.isApkDebugable()) {
                WXLogUtils.w("the value of " + obj + " use wx unit, which will be not supported soon after.");
            }
            try {
                return transferWx(trim, 750.0f);
            } catch (NumberFormatException e) {
                WXLogUtils.e("Argument format error! value is " + obj, e);
            } catch (Exception e2) {
                WXLogUtils.e("Argument error! value is " + obj, e2);
            }
        } else if (trim.endsWith("px")) {
            if (trim.length() > 3 && (trim.endsWith("rpx") || trim.endsWith("upx"))) {
                try {
                    return transferRpxAndUpx(trim.substring(0, trim.length() - 3), 750.0f);
                } catch (NumberFormatException e3) {
                    WXLogUtils.e("Argument format error! value is " + obj, e3);
                } catch (Exception e4) {
                    WXLogUtils.e("Argument error! value is " + obj, e4);
                }
            } else {
                try {
                    return Long.parseLong(trim.substring(0, trim.indexOf("px")));
                } catch (NumberFormatException e5) {
                    WXLogUtils.e("Argument format error! value is " + obj, e5);
                } catch (Exception e6) {
                    WXLogUtils.e("Argument error! value is " + obj, e6);
                }
            }
        } else {
            try {
                return Long.parseLong(trim);
            } catch (NumberFormatException e7) {
                WXLogUtils.e("Argument format error! value is " + obj, e7);
            } catch (Exception e8) {
                WXLogUtils.e("Argument error! value is " + obj, e8);
            }
        }
        return 0L;
    }

    public static int getNumberInt(Object obj, int i) {
        if (obj == null) {
            return i;
        }
        if (obj instanceof Number) {
            return ((Number) obj).intValue();
        }
        try {
            String obj2 = obj.toString();
            if (obj2.indexOf(46) >= 0) {
                return (int) Float.parseFloat(obj.toString());
            }
            return Integer.parseInt(obj2);
        } catch (Exception unused) {
            return i;
        }
    }

    public static String getString(Object obj, String str) {
        if (obj == null) {
            return str;
        }
        if (obj instanceof String) {
            return (String) obj;
        }
        return obj.toString();
    }

    private static int indexLineBreak(String str, int i) {
        int indexOf = str.indexOf("\r", i);
        if (indexOf == -1) {
            indexOf = str.indexOf("\n", i);
        }
        return indexOf == -1 ? str.indexOf("\r\n", i) : indexOf;
    }

    @Deprecated
    public static boolean isTabletDevice() {
        try {
            return (WXEnvironment.getApplication().getResources().getConfiguration().screenLayout & 15) >= 3;
        } catch (Exception unused) {
            return false;
        }
    }

    public static boolean isUiThread() {
        return Thread.currentThread().getId() == Looper.getMainLooper().getThread().getId();
    }

    public static boolean isUndefined(float f) {
        return Float.isNaN(f);
    }

    public static float parseFloat(Object obj) {
        return parseFloat(String.valueOf(obj));
    }

    public static int parseInt(String str) {
        try {
            if (TextUtils.isEmpty(str) || str.contains(Operators.DOT_STR)) {
                return 0;
            }
            return Integer.parseInt(str);
        } catch (NumberFormatException e) {
            if (WXEnvironment.isApkDebugable()) {
                WXLogUtils.e(WXLogUtils.getStackTrace(e));
                return 0;
            }
            return 0;
        }
    }

    private static int parsePercent(String str, int i) {
        return (int) ((Float.parseFloat(str) / 100.0f) * i);
    }

    public static int parseUnitOrPercent(String str, int i) {
        int lastIndexOf = str.lastIndexOf(37);
        if (lastIndexOf != -1) {
            return parsePercent(str.substring(0, lastIndexOf), i);
        }
        return parseInt(str);
    }

    private static String[] splitLineBreak(String str) {
        String[] split = str.split("\r");
        if (split.length == 1) {
            split = str.split("\n");
        }
        return split.length == 1 ? str.split("\r\n") : split;
    }

    private static float transferRpxAndUpx(String str, float f) {
        if (str == null) {
            return 0.0f;
        }
        if (str.endsWith("rpx")) {
            str = str.substring(0, str.indexOf("rpx"));
        } else if (str.endsWith("upx")) {
            str = str.substring(0, str.indexOf("upx"));
        }
        return (WXEnvironment.getViewProt() / f) * Float.parseFloat(str);
    }

    private static float transferWx(String str, float f) {
        if (str == null) {
            return 0.0f;
        }
        if (str.endsWith("wx")) {
            str = str.substring(0, str.indexOf("wx"));
        }
        return ((WXEnvironment.sApplication.getResources().getDisplayMetrics().density * Float.parseFloat(str)) * f) / WXViewUtils.getScreenWidth();
    }

    public static Float getFloat(Object obj, Float f) {
        if (obj == null) {
            return f;
        }
        String trim = obj.toString().trim();
        if (!"auto".equals(trim) && !Constants.Name.UNDEFINED.equals(trim) && !TextUtils.isEmpty(trim)) {
            if (trim.endsWith("wx")) {
                try {
                    return Float.valueOf(transferWx(trim, 750.0f));
                } catch (NumberFormatException e) {
                    WXLogUtils.e("Argument format error! value is " + obj, e);
                } catch (Exception e2) {
                    WXLogUtils.e("Argument error! value is " + obj, e2);
                }
            } else if (trim.endsWith("px")) {
                if (trim.length() > 3 && (trim.endsWith("rpx") || trim.endsWith("upx"))) {
                    try {
                        return Float.valueOf(transferRpxAndUpx(trim.substring(0, trim.length() - 3), 750.0f));
                    } catch (NumberFormatException e3) {
                        WXLogUtils.e("Argument format error! value is " + obj, e3);
                    } catch (Exception e4) {
                        WXLogUtils.e("Argument error! value is " + obj, e4);
                    }
                } else {
                    try {
                        return Float.valueOf(Float.parseFloat(trim.substring(0, trim.indexOf("px"))));
                    } catch (NumberFormatException e5) {
                        WXLogUtils.e("Argument format error! value is " + obj, e5);
                    } catch (Exception e6) {
                        WXLogUtils.e("Argument error! value is " + obj, e6);
                    }
                }
            } else {
                try {
                    return Float.valueOf(Float.parseFloat(trim));
                } catch (NumberFormatException e7) {
                    WXLogUtils.e("Argument format error! value is " + obj, e7);
                } catch (Exception e8) {
                    WXLogUtils.e("Argument error! value is " + obj, e8);
                }
            }
            return f;
        }
        WXLogUtils.e("Argument Warning ! value is " + trim + "And default Value:NaN");
        return f;
    }

    public static float getFloatByViewport(Object obj, int i) {
        return floatByViewport(obj, i);
    }

    public static float parseFloat(String str) {
        try {
            if (!TextUtils.isEmpty(str) && !TextUtils.equals(str, "null")) {
                return Float.parseFloat(str);
            }
            if (WXEnvironment.isApkDebugable()) {
                WXLogUtils.e("WXUtils parseFloat illegal value is " + str);
                return 0.0f;
            }
            return 0.0f;
        } catch (NumberFormatException e) {
            if (WXEnvironment.isApkDebugable()) {
                WXLogUtils.e(WXLogUtils.getStackTrace(e));
                return 0.0f;
            }
            return 0.0f;
        }
    }

    public static int parseInt(Object obj) {
        return parseInt(String.valueOf(obj));
    }

    public static float fastGetFloat(String str) {
        return fastGetFloat(str, 2.14748365E9f);
    }
}
